Bug 1576267 (CVE-2018-5166) - CVE-2018-5166 Mozilla: WebExtension host permission bypass through filterReponseData
Summary: CVE-2018-5166 Mozilla: WebExtension host permission bypass through filterRepo...
Keywords:
Status: CLOSED NOTABUG
Alias: CVE-2018-5166
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 1573375
TreeView+ depends on / blocked
 
Reported: 2018-05-09 07:14 UTC by Doran Moppert
Modified: 2021-02-26 02:30 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-06-10 10:22:05 UTC


Attachments (Terms of Use)

Description Doran Moppert 2018-05-09 07:14:51 UTC
WebExtensions can use request redirection and a `filterReponseData` filter to bypass host permission settings to redirect network traffic and access content from a host for which they do not have explicit user permissions.



External Reference:

https://www.mozilla.org/en-US/security/advisories/mfsa2018-11/#CVE-2018-5166

Comment 1 Doran Moppert 2018-05-09 07:14:56 UTC
Acknowledgments:

Name: the Mozilla project
Upstream: Francois Lajeunesse Robert


Note You need to log in before you can comment on or make changes to this bug.